using Application.Abstractions.Identity.Models;

namespace Application.Abstractions.Identity
{
    public interface IIdentityUserReader
    {
        Task<AspNetUserDto?> GetUserAsync(string id, CancellationToken ct);
        Task<List<AspNetUserDto>> GetAllUserAsync(CancellationToken ct);
    }
}